aboutsummaryrefslogtreecommitdiff
path: root/git-clone.sh
diff options
context:
space:
mode:
authorFernando J. Pereda <ferdy@gentoo.org>2006-02-15 12:37:30 +0100
committerJunio C Hamano <junkio@cox.net>2006-02-15 19:14:01 -0800
commit6c5c62f3401dc8f4b567af46582c112f6a859b5e (patch)
tree98e407bebd7846c21f53e2688d44220b4e708d11 /git-clone.sh
parent504fe714fe642b375992bb913075bee0d0bc1bbd (diff)
downloadgit-6c5c62f3401dc8f4b567af46582c112f6a859b5e.tar.gz
git-6c5c62f3401dc8f4b567af46582c112f6a859b5e.tar.xz
Print an error if cloning a http repo and NO_CURL is set
If Git is compiled with NO_CURL=YesPlease and one tries to clone a http repository, git-clone tries to call the curl binary. This trivial patch prints an error instead in such situation. Signed-off-by: Fernando J. Pereda <ferdy@gentoo.org> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/git-clone.sh b/git-clone.sh
index 47f3ec976..e192b08c0 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -206,7 +206,13 @@ yes,yes)
fi
;;
http://*)
- clone_dumb_http "$repo" "$D"
+ if test -z "@@NO_CURL@@"
+ then
+ clone_dumb_http "$repo" "$D"
+ else
+ echo >&2 "http transport not supported, rebuild Git with curl support"
+ exit 1
+ fi
;;
*)
cd "$D" && case "$upload_pack" in